Jdk13LumberjackLogger (Commons Logging 1.1.1 API)
Keywords: org.apache.commons.logging.impl.Jdk13LumberjackLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.logging.impl
Class Jdk13LumberjackLogger

    java.lang.Object
      org.apache.commons.logging.impl.Jdk13LumberjackLogger

All Implemented Interfaces:
  Log, java.io.Serializable

public class Jdk13LumberjackLogger
extends java.lang.Object
implements Log, java.io.Serializable

Implementation of the `org.apache.commons.logging.Log` interface that wraps the standard JDK logging mechanisms that are available in SourceForge's Lumberjack for JDKs prior to 1.4.

Since:
  1.1
Version:
  $Revision: 424107 $ $Date: 2006-07-21 01:15:42 +0200 (fr, 21 jul 2006) $
Author:
  Scott Sanders, Berin Loritsch, Peter Donald, Vince Eagen
See Also:
  Serialized Form

Field Summary
`protected static java.util.logging.Level` | `dummyLevel` This member variable simply ensures that any attempt to initialise this class in a pre-1.4 JVM will result in an ExceptionInInitializerError.
`protected java.util.logging.Logger` | `logger` The underlying Logger implementation we are using.
`protected java.lang.String` | `name`

Constructor Summary
`Jdk13LumberjackLogger(java.lang.String name)` Construct a named instance of this Logger.

Method Summary
`void` | `debug(java.lang.Object message)` Logs a message with `java.util.logging.Level.FINE`.
`void` | `debug(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.FINE`.
`void` | `error(java.lang.Object message)` Logs a message with `java.util.logging.Level.SEVERE`.
`void` | `error(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.SEVERE`.
`void` | `fatal(java.lang.Object message)` Logs a message with `java.util.logging.Level.SEVERE`.
`void` | `fatal(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.SEVERE`.
`java.util.logging.Logger` | `getLogger()` Return the native Logger instance we are using.
`void` | `info(java.lang.Object message)` Logs a message with `java.util.logging.Level.INFO`.
`void` | `info(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.INFO`.
`boolean` | `isDebugEnabled()` Is debug logging currently enabled?
`boolean` | `isErrorEnabled()` Is error logging currently enabled?
`boolean` | `isFatalEnabled()` Is fatal logging currently enabled?
`boolean` | `isInfoEnabled()` Is info logging currently enabled?
`boolean` | `isTraceEnabled()` Is trace logging currently enabled?
`boolean` | `isWarnEnabled()` Is warn logging currently enabled?
`void` | `trace(java.lang.Object message)` Logs a message with `java.util.logging.Level.FINEST`.
`void` | `trace(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.FINEST`.
`void` | `warn(java.lang.Object message)` Logs a message with `java.util.logging.Level.WARNING`.
`void` | `warn(java.lang.Object message, java.lang.Throwable exception)` Logs a message with `java.util.logging.Level.WARNING`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient java.util.logging.Logger logger

  The underlying Logger implementation we are using.

### name

    protected java.lang.String name

### dummyLevel

    protected static final java.util.logging.Level dummyLevel

  This member variable simply ensures that any attempt to initialise this class in a pre-1.4 JVM will result in an ExceptionInInitializerError. It must not be private, as an optimising compiler could detect that it is not used and optimise it away.

Constructor Detail

### Jdk13LumberjackLogger

    public Jdk13LumberjackLogger(java.lang.String name)

  Construct a named instance of this Logger.

Parameters:
  `name` - Name of the logger to be constructed

Method Detail

### debug

    public void debug(java.lang.Object message)

  Logs a message with `java.util.logging.Level.FINE`.

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.debug(Object)`

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.FINE`.

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.debug(Object, Throwable)`

### error

    public void error(java.lang.Object message)

  Logs a message with `java.util.logging.Level.SEVERE`.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.error(Object)`

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.SEVERE`.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.error(Object, Throwable)`

### fatal

    public void fatal(java.lang.Object message)

  Logs a message with `java.util.logging.Level.SEVERE`.

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.fatal(Object)`

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.SEVERE`.

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.fatal(Object, Throwable)`

### getLogger

    public java.util.logging.Logger getLogger()

  Return the native Logger instance we are using.

### info

    public void info(java.lang.Object message)

  Logs a message with `java.util.logging.Level.INFO`.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.info(Object)`

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.INFO`.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.info(Object, Throwable)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Is debug logging currently enabled?

  Specified by:
    `isDebugEnabled` in interface `Log`
  Returns:
    true if debug is enabled in the underlying logger.

### isErrorEnabled

    public boolean isErrorEnabled()

  Is error logging currently enabled?

  Specified by:
    `isErrorEnabled` in interface `Log`
  Returns:
    true if error is enabled in the underlying logger.

### isFatalEnabled

    public boolean isFatalEnabled()

  Is fatal logging currently enabled?

  Specified by:
    `isFatalEnabled` in interface `Log`
  Returns:
    true if fatal is enabled in the underlying logger.

### isInfoEnabled

    public boolean isInfoEnabled()

  Is info logging currently enabled?

  Specified by:
    `isInfoEnabled` in interface `Log`
  Returns:
    true if info is enabled in the underlying logger.

### isTraceEnabled

    public boolean isTraceEnabled()

  Is trace logging currently enabled?

  Specified by:
    `isTraceEnabled` in interface `Log`
  Returns:
    true if trace is enabled in the underlying logger.

### isWarnEnabled

    public boolean isWarnEnabled()

  Is warn logging currently enabled?

  Specified by:
    `isWarnEnabled` in interface `Log`
  Returns:
    true if warn is enabled in the underlying logger.

### trace

    public void trace(java.lang.Object message)

  Logs a message with `java.util.logging.Level.FINEST`.

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.trace(Object)`

### trace

    public void trace(java.lang.Object message,
                      java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.FINEST`.

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.trace(Object, Throwable)`

### warn

    public void warn(java.lang.Object message)

  Logs a message with `java.util.logging.Level.WARNING`.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.warn(Object)`

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable exception)

  Logs a message with `java.util.logging.Level.WARNING`.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - to log
    `exception` - log this cause
  See Also:
    `Log.warn(Object, Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 The Apache Software Foundation. All Rights Reserved.